/*
 * Class WEL_KEYBOARD_LAYOUT_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_87 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_87 [] = {0xFF01,1551,86,0xFFFF};
static const EIF_TYPE_INDEX egt_2_87 [] = {0xFF01,86,0xFFFF};
static const EIF_TYPE_INDEX egt_3_87 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_87 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_87 [] = {0xFF01,86,0xFFFF};
static const EIF_TYPE_INDEX egt_6_87 [] = {0xFF01,86,0xFFFF};
static const EIF_TYPE_INDEX egt_7_87 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_87 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_87 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_87 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_87 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_87 [] = {0xFF01,86,0xFFFF};


static const struct desc_info desc_87[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_87), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_87), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_87), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_87), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_87), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_87), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_87), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_87), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_87), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_87), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_87), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_87), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xAD /*86*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_87), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1186, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1187, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1188, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1189, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1190, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1191, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1192, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1193, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1194, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1195, 0xFFFFFFFF},
};
void Init87(void)
{
	IDSC(desc_87, 0, 86);
	IDSC(desc_87 + 1, 1, 86);
	IDSC(desc_87 + 32, 891, 86);
}


#ifdef __cplusplus
}
#endif
